/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: CVS Version: $Revision: 1.2 $  Date: $Date: 1999/09/09 23:29:37 $
 ** (c) 2000 by Ben Yanbin Zhao and the Regents of the University of California
 */

package ninja.xset;
import java.util.*;
import org.w3c.dom.*;

public class DocumentEntry implements java.io.Serializable {
  ServiceEntry se = null;
  Hashtable attributes = null;
  
  public DocumentEntry(ServiceEntry s, NamedNodeMap nnm) {
    se = s;
    int j = nnm.getLength();
    Attr attribute;
    attributes = new Hashtable();
    for (int i = 0; i < j; i++) {
      attribute = (Attr) nnm.item(i);
      attributes.put(attribute.getName(), attribute.getValue());
    }
  }
}
