/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: CVS Version: $Revision: 1.2 $  Date: $Date: 1999/09/09 23:29:37 $
 ** (c) 2000 by Ben Yanbin Zhao and the Regents of the University of California
 **/

package ninja.xset;

/**
 ** Class to encapsulate depth data regarding a subTreap or Treap
 **/
class DepthCounter implements java.io.Serializable {
  int nodes;
  int totalDepth;
  
  /**
   ** Standard constructor
   ** @param n number of nodes in the treap
   ** @param t total depth of nodes in the treap
   **/
  DepthCounter (int n, int t) {
    nodes = n;
    totalDepth = t;
  }
}
