//XSetException.java

/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: CVS Version: $Revision: 1.2 $  Date: $Date: 1999/09/09 23:29:41 $
 ** (c) 2000 by Ben Yanbin Zhao and the Regents of the University of California
 **/

package ninja.xset;

/**
 ** XSet Exception class
 ** This is the generalized exception used throughout the XSet search engine
 **/

public class XSetException extends Exception {
  /**
   ** Null constructor
   **/
  public XSetException ( ) {
  }

  /**
   ** XSetException constructor comment.
   ** @param s java.lang.String
   **/
  public XSetException(String s) {
    super(s);
  }
}
