package ninja.xset;

import java.io.*;
import java.util.*;
import org.w3c.dom.*;

public class test {
  
  private static Vector filterLogs(String [] fulllogs, int filterNum) {
    Vector v = new Vector();
    String filename;
    StringBuffer sb;
    int filenumber;
    int begin, end, middle; 
    // used as indices for binary insertion sort into vector

    for (int i = 0; i<fulllogs.length; i++) {
      filename = fulllogs[i];
      //cutting off the last 4 characters (".xml") and then parsing to long
      filenumber = Integer.parseInt(filename.substring(0,filename.length()-4));
      begin = 0;
      end = v.size();
      if (filenumber < filterNum) continue;
      // if before checkpoint, ignore
      while (true) {
	if (begin == end) {
	  v.insertElementAt(new Integer(filenumber), begin);
	  break;
	}
	middle = (begin + end) >> 1;
	if (filenumber < ((Integer) v.elementAt(middle)).intValue()) {
	  end = middle;
	} else {
	  begin = middle;
	}
      }
    }
    return v;
  }

  public test() {
  }



  public static void main(String [] argv) {
    Vector v = new Vector();
    Vector z;
    Vector a,b,c;
   System.out.println(java.io.File.separatorChar);
   System.out.println(java.io.File.pathSeparatorChar);

    a = new Vector();
    b = new Vector();
    c = new Vector();
    a.addElement("a");
    b.addElement("b");
    c.addElement("c");
    v.addElement(a);
    v.addElement(b);
    v.addElement(c);
    try {
    ObjectOutputStream obj = new ObjectOutputStream(new FileOutputStream("test.obj"));
    obj.writeObject(v);
    obj.close();
    ObjectInputStream in = new ObjectInputStream(new FileInputStream("test.obj"));
    z = (Vector) in.readObject();
    System.out.println(v);
    System.out.println(z);
    } catch (Exception e) {e.printStackTrace();}
  }
}
	
